import http from '@/api/http';
/**
 * 巨量账户级回传-账号列表
 */
export function callbackJuliangAccountList(params: object) {
  return http.get('/callback/juliangAccount/list', params);
}
/**
 * 巨量账户级回传-回传日志
 */
export function callbackJuliangAccountLogList(params: object) {
  return http.get('/callback/juliangAccount/log/list', params);
}

/**
 * 巨量账户级回传-设置回传比例
 */
export function callbackJuliangAccountUpdateCallbackConfig(params: object) {
  return http.post('/callback/juliangAccount/updateCallbackConfig', params);
}
/**
 * 巨量账户级回传-新增账号
 */
export function callbackJuliangAccountAddAccount(params: object) {
  return http.post(`/callback/juliangAccount/addAccount`, params);
}
/**
 * 巨量账户级回传-补传
 */
export function callbackJuliangAccountLogCallbackAgain(params: object) {
  return http.post(`/callback/juliangAccount/log/callbackAgain`, params);
}
/**
 * 巨量账户级回传-回传开关
 */
export function callbackJuliangAccountTurnCallbackState(params: object) {
  return http.post(`/callback/juliangAccount/turnCallbackState`, params);
}
/**
 * 巨量账户级回传-取消推广回传关联
 */
export function callbackJuliangAccountUnbindPromotion(params: object) {
  return http.post(`/callback/juliangAccount/unbindPromotion`, params);
}
